<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ProgressBegin Method (IEdmUnlockOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUnlockOpCallback Interface : ProgressBegin Method (IEdmUnlockOpCallback)

Visual Basic
C#
C++/CLI

eType
  Type of progress bar to start as defined in EdmProgressType

eEvent
  Type of operation as defined in EdmUnlockEvent

lSteps
  Number of steps in the operation (see Remarks)

Called by the check-in operation when it starts.

# Syntax

Visual Basic |
--- | ---

    Sub ProgressBegin( _
       ByVal eType As EdmProgressType, _
       ByVal eEvent As EdmUnlockEvent, _
       ByVal lSteps As System.Integer _
    )

C# |
--- | ---

    void ProgressBegin(
       EdmProgressType eType,
       EdmUnlockEvent eEvent,
       System.int lSteps
    )

C++/CLI |
--- | ---

    void ProgressBegin(
    &   EdmProgressType eType,
    &   EdmUnlockEvent eEvent,
    &   System.int lSteps
    )

#### Parameters

eType
  Type of progress bar to start as defined in EdmProgressType
eEvent
  Type of operation as defined in EdmUnlockEvent
lSteps
  Number of steps in the operation (see Remarks)

# Example

See the IEdmUnlockOpCallback examples.

# Remarks

IEdmUnlockOpCallback::ProgressStep and IEdmUnlockOpCallback::ProgressStepEvent are each called lStep times. IEdmUnlockOpCallback::ProgressEnd is called when the operation completes.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUnlockOpCallback Interface
IEdmUnlockOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3